%global momorel 2

Summary: Library providing support for the SyncML protocol
Name: libsyncml
Version: 0.4.4
Release: %{momorel}m%{?dist}
License: LGPL
URL: http://libsyncml.opensync.org/
Group: System Environment/Libraries
Source: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libsoup-devel
BuildRequires: libtool
BuildRequires: libusb-devel
BuildRequires: libxml2-devel
BuildRequires: openobex-devel
BuildRequires: pkgconfig
BuildRequires: wbxml2-devel

%description
Libsyncml is a implementation of the SyncML protocol. It allows
programs like OpenSync the synchronization of SyncML-enabled devices,
such as the SonyEricsson P800, as well as remote OpenSync to OpenSync
synchronization over the internet. You need to install the
libopensync-* packages and msynctool for that, too.

%package devel
Summary: Header files and static libraries from libsyncml
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: libsoup-devel
Requires: openobex-devel
Requires: pkgconfig
Requires: wbxml2-devel

%description devel
Libraries and includes files for developing programs based on libsyncml.

%prep
%setup -q

autoreconf -sif

%build
%configure
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# get rid of *.la files
rm -f %{buildroot}%{_libdir}/lib*.la

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README
%{_bindir}/syncml-http-client
%{_bindir}/syncml-http-server
%{_bindir}/syncml-obex-client
%{_libdir}/libsyncml.so.*
%{_mandir}/man1/syncml-http-server.1*
%{_mandir}/man1/syncml-obex-client.1*

%files devel
%defattr(-,root,root)
%{_includedir}/libsyncml-1.0
%{_libdir}/pkgconfig/libsyncml-1.0.pc
%{_libdir}/libsyncml.so

%changelog
* Wed Jun 13 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.4-2m)
- BuildRequires: libusb-devel

* Mon Jun 11 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.4-1m)
- initial package for libopensync-plugin-sunbird
- Summary and %%description are imported from opensuse
